import { defineStore } from 'pinia';
/**
 * @description AppConfig 系统配置信息
 * @methods getAppInfo 获取系统信息
 * @methods setAppConfigInfo 设置系统信息
 */
export const useAppConfig = defineStore('AppConfig', {
	state: (): AppConfigState => ({
		AppConfigInfo: {
			IsRestApproval: false, // 电话控件小休是否要进行审批
			IsAutoTalkingDeal: false, // 呼叫中心是否自动事后处理
			TalkingDealTime: 0, // 呼叫中心自动事后处理时间
		},
	}),
	actions: {
		getAppInfo() {
			return this.AppConfigInfo;
		},
		// 设置系统信息
		setAppConfigInfo(data: object): void {
			this.AppConfigInfo = {
				...this.AppConfigInfo,
				...data,
			};
		},
	},
});
